package com.ruoyi.kaohe.mapper;

import java.util.List;
import com.ruoyi.kaohe.domain.KhType;

/**
 * 考核类型Mapper接口
 * 
 * @author hs
 * @date 2025-06-17
 */
public interface KhTypeMapper 
{
    /**
     * 查询考核类型
     * 
     * @param id 考核类型主键
     * @return 考核类型
     */
    public KhType selectKhTypeById(Long id);

    /**
     * 查询考核类型列表
     * 
     * @param khType 考核类型
     * @return 考核类型集合
     */
    public List<KhType> selectKhTypeList(KhType khType);

    /**
     * 新增考核类型
     * 
     * @param khType 考核类型
     * @return 结果
     */
    public int insertKhType(KhType khType);

    /**
     * 修改考核类型
     * 
     * @param khType 考核类型
     * @return 结果
     */
    public int updateKhType(KhType khType);

    /**
     * 删除考核类型
     * 
     * @param id 考核类型主键
     * @return 结果
     */
    public int deleteKhTypeById(Long id);

    /**
     * 批量删除考核类型
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteKhTypeByIds(Long[] ids);
}
